from math import*
from numpy import Inf
import sys

# Main program for starting Newton's method.
def main():
    x0 = float(sys.argv[1])
    tol = 10**(-14)
    err = Inf
    print(x0)
    while err > tol:
        x1 = x0-f0(x0)/f1(x0)
        print(x1)
        err = abs(x1-x0)
        x0 = x1


# Equation to be solved.
def f0(x):
    return exp(x)-x-2


# The first derivative.
def f1(x):
    return exp(x)-1


main()
